Loading...
Searching...
No Matches
Halide::Runtime::Internal::Synchronization::validate_action Struct Reference

`#include <synchronization_common.h>`

## Public Attributes

bool | unpark_one = false
uintptr_t | invalid_unpark_info = 0

## Detailed Description

Definition at line 421 of file synchronization_common.h.

## Member Data Documentation

## unpark_one

bool Halide::Runtime::Internal::Synchronization::validate_action::unpark_one = false

Definition at line 422 of file synchronization_common.h.

Referenced by Halide::Runtime::Internal::Synchronization::parking_control::unpark_requeue().

## invalid_unpark_info

uintptr_t Halide::Runtime::Internal::Synchronization::validate_action::invalid_unpark_info = 0

Definition at line 423 of file synchronization_common.h.

Referenced by Halide::Runtime::Internal::Synchronization::parking_control::park().

The documentation for this struct was generated from the following file:

- src/runtime/synchronization_common.h